{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-api-catalyst
  namespace: cra-agent
spec:
  description: Allow Catalyst API
  egress:
    - toFQDNs:
        - matchPattern: binaries.prisma.sh
  endpointSelector:
    matchLabels:
      app.kubernetes.io/instance: cra-agent
{{- end }}
